<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/components/Tasks.vue</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="..\..\prettify.css" />
    <link rel="stylesheet" href="..\..\base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(..\..\sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="..\..\index.html">All files</a> / <a href="index.html">src/components</a> Tasks.vue
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>0/53</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/19</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/26</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>0/53</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&lt;template&gt;
  &lt;div&gt;
    &lt;b-container fluid&gt;
&nbsp;
      &lt;h3&gt;TODOS&lt;/h3&gt;
      &lt;b-row&gt;
        &lt;b-col md="6" offset-md="3" sm="12"&gt;
          &lt;b-form-group&gt;
            &lt;b-form-input v-model="task.description" @keyup.enter="createTask" type="text" placeholder="O que precisa ser feito?" /&gt;
          &lt;/b-form-group&gt;
        &lt;/b-col&gt;
      &lt;/b-row&gt;
      
      &lt;br&gt;
&nbsp;
      &lt;b-row&gt;
        &lt;b-col md="6" offset-md="3" sm="12"&gt;
          &lt;b-form-radio-group v-model="state"&gt;
            &lt;b-form-radio v-for="(state, index) in status" :key="index" :value="state.value"&gt;{{ state.text }}&lt;/b-form-radio&gt;
          &lt;/b-form-radio-group&gt;
        &lt;/b-col&gt;
      &lt;/b-row&gt;
&nbsp;
      &lt;br&gt;
&nbsp;
      &lt;b-row&gt;
        &lt;b-col md="6" offset-md="3" sm="12"&gt;
          &lt;b-list-group&gt;
            &lt;task v-for="task in getFilteredTasks" :key="task.id" :task="task" @remove="removeTask" @updateIsCompleted="updateIsCompleted"&gt;&lt;/task&gt;
          &lt;/b-list-group&gt;
        &lt;/b-col&gt;
&nbsp;
        &lt;b-col md="6" offset-md="3" sm="12"&gt;
          &lt;p class="text-left"&gt;&lt;small&gt;{{ remainingTasks }} tarefas restantes&lt;/small&gt;&lt;/p&gt;
        &lt;/b-col&gt;
      &lt;/b-row&gt;
&nbsp;
    &lt;/b-container&gt;
  &lt;/div&gt;
&lt;/template&gt;
&nbsp;
&lt;script&gt;
&nbsp;
<span class="cstat-no" title="statement not covered" >import Task from './Task'</span>
&nbsp;
export default {
  name: 'tasks',
  components: {
    Task
  },
<span class="fstat-no" title="function not covered" >  mounted() {</span>
<span class="cstat-no" title="statement not covered" >    this.getTasks();</span>
  },
<span class="fstat-no" title="function not covered" >  data() {</span>
<span class="cstat-no" title="statement not covered" >    return {</span>
      task: {
        id: '',
        order: '',
        completed: false,
        description: ''
      },
      tasks: [],
      status: [
        { text: 'Todos', value: 'todos' },
        { text: 'À fazer', value: 'afazer' },
        { text: 'Completos', value: 'completos' }
      ],
      state: 'todos'
    }
  },
  methods: {
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >    getTasks() {</span></span>
<span class="cstat-no" title="statement not covered" >      this.$emit('setPreloader', true);</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >      this.$http.get('todos')</span></span>
        .then(response =&gt; {
<span class="cstat-no" title="statement not covered" >          if (response.status === 200) {</span>
<span class="cstat-no" title="statement not covered" >            this.tasks = response.data;</span>
          }
<span class="fstat-no" title="function not covered" >        })</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >        .catch(error =&gt; console.log(error.response))</span></span>
<span class="cstat-no" title="statement not covered" >        .finally(() =&gt; this.$emit('setPreloader', false));</span>
    },
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >    createTask() {</span></span>
<span class="cstat-no" title="statement not covered" >      if (this.description !== '') {</span>
<span class="cstat-no" title="statement not covered" >        this.task.order = (this.tasks.length + 1);</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >        this.$emit('setPreloader', true);</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >        this.$http.post('todos', this.task)</span></span>
          .then(response =&gt; {
<span class="cstat-no" title="statement not covered" >            if (response.status === 201) {</span>
<span class="cstat-no" title="statement not covered" >              this.getTasks();</span>
<span class="cstat-no" title="statement not covered" >              this.clearTask();</span>
            }
<span class="fstat-no" title="function not covered" >          })</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >          .catch(error =&gt; console.log(error.response))</span></span>
<span class="cstat-no" title="statement not covered" >          .finally(() =&gt; this.$emit('setPreloader', false));</span>
      }
    },
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >    removeTask(id) {</span></span>
<span class="cstat-no" title="statement not covered" >      this.$emit('setPreloader', true);</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >      this.$http.delete('todos/' + id)</span></span>
        .then(response =&gt; {
<span class="cstat-no" title="statement not covered" >          if (response.status === 200) {</span>
<span class="cstat-no" title="statement not covered" >            this.getTasks();</span>
&nbsp;
<span class="cstat-no" title="statement not covered" >            var _this = this;</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >            setTimeout(() =&gt; {</span></span>
<span class="cstat-no" title="statement not covered" >              _this.reorderTasks();</span>
            }, 1000);
          }
<span class="fstat-no" title="function not covered" >        })</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >        .catch(error =&gt; console.log(error.response))</span></span>
<span class="cstat-no" title="statement not covered" >        .finally(() =&gt; this.$emit('setPreloader', false));</span>
    },
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >    updateIsCompleted(task) {</span></span>
<span class="cstat-no" title="statement not covered" >      this.$emit('setPreloader', true);</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >      this.$http.put('todos/' + task.id, task)</span></span>
        .then(response =&gt; {
<span class="cstat-no" title="statement not covered" >          if (response.status === 200) {</span>
<span class="cstat-no" title="statement not covered" >            this.getTasks();</span>
          }
<span class="fstat-no" title="function not covered" >        })</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >        .catch(error =&gt; console.log(error.response))</span></span>
<span class="cstat-no" title="statement not covered" >        .finally(() =&gt; this.$emit('setPreloader', false));</span>
    },
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >    reorderTasks() {</span></span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >      return this.tasks.map((task, index) =&gt; {</span></span>
<span class="cstat-no" title="statement not covered" >        task.order = (index + 1);</span>
<span class="cstat-no" title="statement not covered" >        this.$http.put('todos/' + task.id, task)</span>
      });
    },
<span class="fstat-no" title="function not covered" >    clearTask() {</span>
<span class="cstat-no" title="statement not covered" >      this.task = {</span>
        id: '',
        order: '',
        completed: false,
        description: ''
      }
    }
  },
  computed: {
<span class="fstat-no" title="function not covered" >    remainingTasks() {</span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >      return this.tasks.filter(task =&gt; {</span></span>
<span class="cstat-no" title="statement not covered" >        if (!task.completed) return task</span>
      }).length;
    },
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >    getFilteredTasks() {</span></span>
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >      return this.tasks.filter(task =&gt; {</span></span>
<span class="cstat-no" title="statement not covered" >        switch (this.state) {</span>
          case 'afazer': 
<span class="cstat-no" title="statement not covered" >            if (!task.completed) return task;</span>
<span class="cstat-no" title="statement not covered" >            break;</span>
          case 'completos': 
<span class="cstat-no" title="statement not covered" >            if (task.completed) return task;</span>
<span class="cstat-no" title="statement not covered" >            break;</span>
<span class="cstat-no" title="statement not covered" >          default: return task;</span>
<span class="cstat-no" title="statement not covered" >            break;</span>
        }
      });
    }
  }
}
&lt;/script&gt;
&nbsp;
&lt;style&gt;
  h1, h2 {
    font-weight: normal;
  }
  ul {
    list-style-type: none;
    padding: 0;
  }
  li {
    display: inline-block;
    margin: 0 10px;
  }
  a {
    color: #42b983;
  }
&lt;/style&gt;
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="https://istanbul.js.org/" target="_blank">istanbul</a> at Mon Mar 25 2019 08:41:52 GMT-0300 (Hora oficial do Brasil)
</div>
</div>
<script src="..\..\prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="..\..\sorter.js"></script>
</body>
</html>
